GET /v1/patients
Service: patient-graph · operationId: (none)
Required scopes
(no scope declared — review service config)
Query parameters
brand_id(string) required —limit(integer) —offset(integer,null) —
Responses
200 Patient list
{
"type": "object",
"properties": {
"patients": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
},
"date_of_birth": {
"type": [
"string",
"null"
]
},
"gender": {
"type": [
"string",
"null"
]
},
"email": {
"type": [
"string",
"null"
]
},
"phone": {
"type": [
"string",
"null"
]
},
"external_ids": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"status": {
"type": "string"
},
"metadata": {
"type": "object",
"additionalProperties": {}
},
"age_verified_at": {
"type": [
"string",
"null"
]
},
"ruo_pathway_acknowledged_at": {
"type": [
"string",
"null"
]
},
"researcher_acknowledgement_id": {
"type": [
"string",
"null"
]
},
"prescription_status": {
"type": [
"string",
"null"
]
},
"prescription_consult_completed_at": {
"type": [
"string",
"null"
]
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
}
},
"required": [
"id",
"brand_id",
"first_name",
"last_name",
"date_of_birth",
"gender",
"email",
"phone",
"external_ids",
"status",
"metadata",
"created_at",
"updated_at"
]
}
},
"total": {
"type": "number"
}
},
"required": [
"patients",
"total"
]
}500 Internal error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X GET https://patient-graph.platform.loop.health/v1/patients \
-H "Authorization: Bearer $ACCESS_TOKEN"Related
services/patient-graph— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced